from django.contrib.auth.decorators import login_required
from django.shortcuts import render

from .models import Membership


@login_required
def membership_overview(request):
    memberships = Membership.objects.for_user(request.user)
    current_membership = memberships.current()
    previous_memberships = memberships.previous()

    current_period = current_membership.period.period if current_membership else None

    context = {
        "current_membership": current_membership,
        "current_period": current_period,
        "previous_memberships": previous_memberships,
    }

    return render(
        request=request,
        template_name="membership_overview.html",
        context=context,
    )
